Prefix: /usr
Summary: Java runtime library for gcc
Name: libgcj
Version: 2.96
release: 22
Copyright: GPL
Group: System Environment/Libraries
URL: http://sourceware.cygnus.com/java/
Source: libgcj-%{version}.tar.bz2
Patch1: libgcj-makej.patch
Patch2: libgcj-nomultilib.patch
Patch3: libgcj-compile.patch
BuildRoot: /var/tmp/libgcj-%{version}-root
Requires: zip >= 2.1
Obsoletes: gcc-libgcj
Prereq: /sbin/install-info
ExcludeArch: ia64

%description
The Java runtime library. You will need this package to run your Java
programs compiled using the gcc Java compiler (gcj).

%package devel
Summary: Libraries for Java development using gcc
Group: Development/Languages
URL: http://sourceware.cygnus.com/java/
Requires: zip >= 2.1, libgcj = %{version}

%description -n libgcj-devel
The Java static libraries and C header files. You will need this
package to compile your Java programs using the gcc Java compiler (gcj).

%prep
%setup -q -n libgcj
%patch1 -p1 -b .makej
%patch2 -p1 -b .nomulti
%patch3 -p1 -b .compile

%build
rm -fr obj-%{_target_platform}
mkdir obj-%{_target_platform}
cd obj-%{_target_platform}

CC=gcc
OPT_FLAGS=`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g' -e 's/-fno-exceptions//g'`
%ifarch sparc64
OPT_FLAGS=-O0
%endif
CC="$CC" CFLAGS="$OPT_FLAGS" \
	../configure --prefix %{_prefix} \
	--enable-shared --enable-threads=posix --enable-haifa \
	--host=%{_target_platform}
numprocs=`cat /proc/cpuinfo | grep processor | wc | cut -c7`
if [ "x$numprocs" = "x" -o "x$numprocs" = "x0" ]; then
  numprocs=1
fi

make -j$numprocs

cd ..

for i in boehm-gc/ChangeLog libjava/ChangeLog zlib/ChangeLog libffi/ChangeLog; do
	cp -p $i ChangeLog.`echo $i | sed 's|/.*||'`
done
cp -p libffi/LICENSE LICENSE.libffi
cp -p libffi/README README.libffi

%install
rm -fr $RPM_BUILD_ROOT

cd obj-%{_target_platform}
make prefix=$RPM_BUILD_ROOT%{_prefix} install
gcjspecdir=`gcc -v 2>&1 >/dev/null | sed -n 's_^.*%{_prefix}/lib/gcc-lib\(.*\)/specs_%{_prefix}/lib/gcc-lib\1_p'`
mkdir -p $RPM_BUILD_ROOT$gcjspecdir
mv -f $RPM_BUILD_ROOT%{_prefix}/lib/libgcj.spec $RPM_BUILD_ROOT$gcjspecdir/libgcj.spec

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/bin/jv-convert
%{_prefix}/bin/gij
%{_prefix}/%{_lib}/lib*gcj*.so.*
%{_prefix}/share/libgcj.zip
%doc ChangeLog* LICENSE.libffi README.libffi

%files devel
%defattr(-,root,root)
%{_prefix}/%{_lib}/lib*gcj*.a
%{_prefix}/%{_lib}/lib*gcj*.so
%{_prefix}/include/j*.h
%{_prefix}/include/java
%{_prefix}/include/gnu
%{_prefix}/include/gcj
%{_prefix}/lib/gcc-lib/*/*/libgcj.spec

%changelog
* Mon Aug 21 2000 Jakub Jelinek <jakub@redhat.com>
- Add ldconfig %%post/%%postun (#16553)

* Mon Aug  7 2000 Jakub Jelinek <jakub@redhat.com>
- distribute libgcj.spec

* Thu Jul 13 2000 Jakub Jelinek <jakub@redhat.com>
- update to 20000713

* Tue Jun  6 2000 Jakub Jelinek <jakub@redhat.com>
- separate from gcc
